読者です 読者をやめる 読者になる 読者になる

文系seの備忘録

Excelの改行でひたすらスペースを打っていた機械音痴の文系seが日々の備忘録を綴る。

Windows環境でRubyInstallerからRubyInstallerからRubyをインストールする際の注意点

開発環境 ruby

Win環境でRubyInstaller(
http://rubyinstaller.org/downloads/
)からRubyInstallerからRubyをインストールした場合、

別のバージョンにupdateもしくはdowngradeさせたいなーってなったらRubyGemsを再度入れなおす必要がある。




Ruby2.x ⇒ 1.9.x に変更したら以下エラーが発生した。

$ C:\Ruby193 > gem install selenium-webdriver

WARNING: Error fetching data: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://rubygems.org/latest_specs.4.8.gz)
WARNING: Error fetching data: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://rubygems.org/specs.4.8.gz)
ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError)
SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://rubygems.org/gems/multi_json-1.11.2.gem)



Windows 向けの RubyInstallerで Ruby をインストールすると、同梱の RubyGems が悪さしてこの現象が起きるらしい。


対応策
 ⇒ 公式ページからRubyGemsを直接持ってくる


f:id:ron623:20160427111741p:plain


インストールコマンド実行
$ gem update --system 1.8.30


これでバージョンが変更される。
$ C:\Ruby193>gem -v
    1.8.30


Win環境だといろいろと問題が起こる。。。。
めんどくさい。